/**
  * This file is part of Organiser Feed.
  *
  * Organiser Feed is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * Organiser Feed is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Organiser Feed.  If not, see <http://www.gnu.org/licenses/>.
  *
  */

import QtQuick 1.1
import com.nokia.meego 1.0
import "UIConstants.js" as UIConstants

Page {
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: pageStack.pop()
        }
    }


    orientationLock: PageOrientation.LockPortrait

    property string license: '<style type="text/css">a:link {color:#dfdfdf}</style>' +
                             'This program is free software: you can redistribute it and/or modify ' +
                             'it under the terms of the GNU General Public License as published by ' +
                             'the Free Software Foundation, either version 3 of the License, or ' +
                             '(at your option) any later version.<br /><br />' +

                             'This package is distributed in the hope that it will be useful, ' +
                             'but WITHOUT ANY WARRANTY; without even the implied warranty of ' +
                             'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ' +
                             'GNU General Public License for more details.<br /><br />' +

                             'You should have received a copy of the GNU General Public License ' +
                             'along with this program. If not, see ' +
                             '<a href="http://www.gnu.org/licenses">http://www.gnu.org/licenses</a><br /><br />'

    LabelStyle{
        id: labelStyle
        fontFamily: UIConstants.FONT_FAMILY_LIGHT
        fontPixelSize: UIConstants.FONT_LSMALL
    }

    Flickable{
        id: flick
        anchors.fill: parent
        anchors.margins: 20

        contentHeight: aboutColumn.height

        Column{
            id: aboutColumn
            width: parent.width
            spacing: 20
            Image{
                source: "qrc:/icon.png"
                anchors.horizontalCenter: parent.horizontalCenter
            }
            Label{
                text: "<style type='text/css'>a:link {color:#dfdfdf}</style> <a href='https://gitorious.org/harmattan-calendar-feed/'>" + qsTrId("qtn_application_name") + " " + qApplication.applicationVersion + "</a>"
                anchors.horizontalCenter: parent.horizontalCenter
                platformStyle: labelStyle
                onLinkActivated: Qt.openUrlExternally(link)
            }
            Label{
                text: "Copyright © 2011 Philip Lorenz, Ferdinand Mayet"
                anchors.horizontalCenter: parent.horizontalCenter
                platformStyle: labelStyle
                wrapMode: Text.WordWrap
                width: parent.width
            }

            Label{
                text: "Thanks to the following for contributing translations:"
                platformStyle: labelStyle
                wrapMode: Text.WordWrap
                width: parent.width
            }

            Label {
                text: "<strong>Czech:</strong> nijel"
                platformStyle: labelStyle
            }

            Label{
                text: "<strong>Dutch:</strong> Hakki_01"
                platformStyle: labelStyle
            }
            Label {
                text: "<strong>Finnish</strong> Marko Loukkaanhuhta"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>French:</strong> G. Cavaillé, mousse04"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Italian:</strong> Alessandro Pra"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Norwegian:</strong> Audun Skripeland"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Polish:</strong> Maciej Świątek-Brzeziński"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Spanish:</strong> mad_soft"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Swedish:</strong> almehdi"
                platformStyle: labelStyle
            }
            Label{
                text: "<strong>Russian:</strong> Andrey Savin"
                platformStyle: labelStyle
            }

            Label{
                text: license
                wrapMode: Text.WordWrap
                width: parent.width
                platformStyle: labelStyle
                onLinkActivated: Qt.openUrlExternally(link)
            }
        }
    }
    ScrollDecorator {
        flickableItem: flick
        anchors.rightMargin: -UIConstants.DEFAULT_MARGIN
    }
}
