/**
  * This file is part of Organiser Feed.
  *
  * Organiser Feed is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * Organiser Feed is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Organiser Feed.  If not, see <http://www.gnu.org/licenses/>.
  *
  */

import QtQuick 1.1
import com.nokia.meego 1.0
import "UIConstants.js" as UIConstants

Rectangle {
    property string label
    property bool enabled: true

    signal show()

    id: drilldownItem
    width: parent.width
    height: UIConstants.LIST_ITEM_HEIGHT_DEFAULT
    color: "#00ffffff"

    MouseArea {
        id: mouseArea
        anchors.fill: parent

        onClicked: { if (drilldownItem.enabled) drilldownItem.show() }

        Row {
            anchors.fill: parent
            anchors.leftMargin: UIConstants.DEFAULT_MARGIN
            anchors.rightMargin: anchors.leftMargin
            CustomLabel {
                text: drilldownItem.label
                anchors.verticalCenter: parent.verticalCenter
                font.bold: true
                width: drilldownItem.width - drilldownImage.width - 2 * parent.anchors.leftMargin
                enabled: drilldownItem.enabled
            }


            Image {
                id: drilldownImage
                width: sourceSize.width
                source: "image://theme/icon-m-common-drilldown-arrow-inverse"
                anchors.verticalCenter: parent.verticalCenter
            }
        }
    }

    states: [
        State {
            name: "clicked"
            when: drilldownItem.enabled && mouseArea.pressed
            PropertyChanges { target: drilldownItem; color: "#40ffffff" }
        }

    ]
}
