/**
  * This file is part of Organiser Feed.
  *
  * Organiser Feed is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * Organiser Feed is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Organiser Feed.  If not, see <http://www.gnu.org/licenses/>.
  *
  */

import QtQuick 1.1
import com.nokia.meego 1.0
import "UIConstants.js" as UIConstants

Item {
    property string label
    property bool checked
    property bool enabled: true

    id: switchItem
    width: parent.width
    height: UIConstants.LIST_ITEM_HEIGHT_DEFAULT


    Row {
        anchors.fill: parent
        anchors.leftMargin: UIConstants.DEFAULT_MARGIN
        anchors.rightMargin: anchors.leftMargin

        CustomLabel {
            text: switchItem.label
            anchors.verticalCenter: parent.verticalCenter
            font.bold: true
            width: parent.width - mySwitch.width
            enabled: switchItem.enabled
        }

        Switch {
            id: mySwitch
            anchors.verticalCenter: parent.verticalCenter
            checked: switchItem.checked
            onCheckedChanged: switchItem.checked = checked
            enabled: switchItem.enabled
        }
    }
}
